### Enumeration

# Qmi DmsDataServiceCapability

since: 1.0

#### Declaration

    enum Qmi.DmsDataServiceCapability

#### Description [src]

Data service capability.

Available since: 1.0

#### Members

`QMI_DMS_DATA_SERVICE_CAPABILITY_NONE`

  No data services supported.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_DATA_SERVICE_CAPABILITY_CS`

  Only CS supported.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_DATA_SERVICE_CAPABILITY_PS`

  Only PS supported.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_DATA_SERVICE_CAPABILITY_SIMULTANEOUS_CS_PS`

  Simultaneous CS and PS supported.

  - Value: `3`
  - Available since: 1.0
`QMI_DMS_DATA_SERVICE_CAPABILITY_NON_SIMULTANEOUS_CS_PS`

  Non simultaneous CS and PS supported.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_dms_data_service_capability_get_string

Gets the nickname string for the `QmiDmsDataServiceCapability` specified at `val`.

since: 1.0